Package com.massivecraft.factions.event

## Class FactionDisbandEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionEvent
    - - com.massivecraft.factions.event.FactionDisbandEvent

All Implemented Interfaces:
  `org.bukkit.event.Cancellable`

    public class FactionDisbandEvent
    extends FactionEvent
    implements org.bukkit.event.Cancellable

Event called when a faction is disbanded.

### Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `FactionDisbandEvent.PlayerDisbandReason` |

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FactionDisbandEvent​(org.bukkit.entity.Player sender, java.lang.String factionId, FactionDisbandEvent.PlayerDisbandReason reason)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`FPlayer` | `getFPlayer()` |
`org.bukkit.entity.Player` | `getPlayer()` |
`FactionDisbandEvent.PlayerDisbandReason` | `getReason()` |
`boolean` | `isCancelled()` |
`void` | `setCancelled​(boolean c)` |

### Methods inherited from class com.massivecraft.factions.event.FactionEvent

`getFaction, getHandlerList, getHandlers`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FactionDisbandEvent

    public FactionDisbandEvent​(org.bukkit.entity.Player sender,
                               java.lang.String factionId,
                               FactionDisbandEvent.PlayerDisbandReason reason)

### Method Detail

#### getFPlayer

    public FPlayer getFPlayer()

#### getPlayer

    public org.bukkit.entity.Player getPlayer()

#### getReason

    public FactionDisbandEvent.PlayerDisbandReason getReason()

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled​(boolean c)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`